    <div class="record-toolbar">
      <% if !record.suppressed %>
        <% if !['edit', 'update', 'create'].include?(controller.action_name) %>
          <div class="btn-group pull-left">
            <%= link_to I18n.t("actions.edit"), {:action => :edit, :id => record.id, :anchor => "tree::#{record_type}_#{record.id}"}, :class => "btn btn-sm btn-primary" %>
          </div>
        <% end %>
      <% end %>
      <% if ['new', 'create', 'edit', 'update'].include?(controller.action_name) %>
        <div class="pull-left save-changes">
          <button type="submit" class="btn btn-primary btn-sm"><%= I18n.t("actions.save_prefix") %></button>
        </div>
      <% end %>
      <% if ['edit', 'update'].include?(controller.action_name) %>
        <div class="pull-left revert-changes">
          <%= link_to I18n.t("actions.revert"), {:action => :edit, :id => record.id}, :class => "btn btn-sm btn-default" %>
          <%= I18n.t("actions.toolbar_disabled_message") %>
        </div>
      <% end %>
      <div class="btn-toolbar pull-right">
        <div class="btn-group">
          <% if user_can?('update_event_record') && !record.suppressed %>
            <%= render_aspace_partial :partial => "shared/event_dropdown", :locals => {:record => record} %>
          <% end %>
          <div class="btn-group">
            <%= button_confirm_action(I18n.t("actions.publish"),
                        url_for({:action => :publish, :id => record.id}),
                        {
                          :class => "btn btn-sm btn-default",
                          :"data-title" => I18n.t("actions.publish_confirm_title"),
                          :"data-message" => I18n.t("actions.publish_confirm_message"),
                          :"data-confirm-btn-label" => "#{I18n.t("actions.publish")}",
                          :"data-confirm-btn-class" => "btn-primary",
                        }) %>
          </div>
          <% if ['resource'].include?(record_type) %>
              <div class="btn-group">
                  <%= button_confirm_action(I18n.t("plugins.publish_partial_trees.actions.unpublish_resource"),
                        url_for({:action => :unpublish, :id => record.id}),
                        {
                          :class => "btn btn-sm btn-default",
                          :"data-title" => I18n.t("plugins.publish_partial_trees.actions.unpublish_resource_confirm_title"),
                          :"data-message" => I18n.t("plugins.publish_partial_trees.actions.unpublish_resource_confirm_message"),
                          :"data-confirm-btn-label" => "#{I18n.t("plugins.publish_partial_trees.actions.unpublish_resource")}",
                          :"data-confirm-btn-class" => "btn-primary",
                        }) %>
              </div>
          <% end %>

          <%= render_aspace_partial :partial => "shared/view_published_button", :locals => {:record => record} rescue nil %>

          <div class="btn-group">
            <a class="btn btn-sm btn-default dropdown-toggle" data-toggle="dropdown" href="javascript:void(0);">
              <%= I18n.t("actions.export") %>
              <span class="caret"></span>
            </a>
            <ul class="dropdown-menu open-aligned-right">
              <%= yield :exports %>
            </ul>
          </div>
          <% if user_can?('merge_archival_record') %>
            <%=
                render_aspace_partial :partial => "shared/merge_dropdown",
                       :locals => {:record => record,
                                   :multiplicity => "one",
                                   :controller => controller.controller_name,
                                   :confirmation_title => I18n.t("actions.merge_confirm_title"),
                                   :confirmation_msg => I18n.t("actions.merge_resource_confirm_message",
                                                               :source => record.title)}
            %>
          <% end %>
          <% if user_can?('transfer_archival_record') %>
            <%=
               render_aspace_partial :partial => "shared/transfer_dropdown",
                      :locals => {:record => record,
                                  :controller => controller.controller_name,
                                  :confirmation_title => I18n.t("actions.transfer_confirm_title"),
                                  :confirmation_msg => I18n.t("actions.transfer_confirm_message",
                                                              :target => record.title)}
            %>
          <% end %>
          <div class="btn-group dropdown" id="other-dropdown" style="display: none">
            <a class="btn btn-sm btn-default dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
              <%= I18n.t('actions.more') %>
              <span class="caret"></span>
            </a>

            <% other_shown = false %>
            <ul class="dropdown-menu">
              <% if ['resource', 'archival_object'].include?(record_type) %>
                <% other_shown = true %>
                <li><%= render_aspace_partial :partial => "extent_calculator/toolbar_button", :locals => {:record => record} %></li>
                <li><%= render_aspace_partial :partial => "date_calculator/toolbar_button", :locals => {:record => record} %></li>
              <% end %>
              <% if ['resource', 'digital_object'].include?(record_type) %>
                <% if user_can?('update_assessment_record') %>
                  <% other_shown = true %>
                  <li><%= link_to I18n.t('assessment._frontend.action.create_for_record'), {:controller => :assessments, :action => :new, :record_uri => record.uri} %></li>
                <% end %>
              <% end %>
            </ul>

            <% if other_shown %><script>$('#other-dropdown').show();</script><% end %>
          </div>

          <% if user_can?('suppress_archival_record') || user_can?('delete_archival_record') %>
            <div class="btn-group">
              <div class="toolbar-spacer" />
            </div>

          <% end %>

          <% if user_can?('suppress_archival_record') %>

            <% if record.suppressed %>
              <%= button_confirm_action I18n.t("actions.unsuppress"),
              url_for(:action => :unsuppress, :id => record.id),
                {
                :class => "btn btn-sm btn-default unsuppress-record",
                  :"data-title" => I18n.t("actions.unsuppress_confirm_title"),
                  :"data-message" => I18n.t("actions.unsuppress_confirm_message"),
                  :"data-confirm-btn-label" => "#{I18n.t("actions.unsuppress")}"
                  }
              %>
            <% else %>
              <%= button_confirm_action I18n.t("actions.suppress"),
              url_for(:action => :suppress, :id => record.id),
                {
                :class => "btn btn-sm btn-warning suppress-record",
                  :"data-title" => I18n.t("actions.suppress_confirm_title"),
                  :"data-message" => I18n.t("actions.suppress_confirm_message"),
                  :"data-confirm-btn-label" => "#{I18n.t("actions.suppress")}",
                  :"data-confirm-btn-class" => "btn-warning"
                    }
              %>
            <% end %>

          <% end %>
          <% if user_can?('delete_archival_record') %>
            <%= button_delete_action url_for(:action => :delete, :id => record.id), { :"data-title" => I18n.t("actions.delete_confirm_title", :title => record.title) } %>
          <% end %>
        </div>
      </div>
      <div class="clearfix"></div>
    </div>
